package org.jeecg.modules.newWarning.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.warning.entity.ConditionItem;
import org.jeecg.modules.warning.entity.Ltd;

import java.util.List;
import java.util.Map;

public interface RealTimeZjService extends IService<Ltd> {
    List<Ltd> selectList(Map<String,Object> map);
    List<Ltd> selectNewOne(String table);
    List<Ltd> selectYData(Map<String,Object> map);
    Ltd selectDate(Map<String,Object> map);

    Ltd selectByTimeAndJh(String time, String table);
    List<Map<String,Object>> selectAllDate(Map<String,Object> map);
    List<Ltd> selectJwssList(String jh,String type);

    List<ConditionItem> getCondition(String startTime, String endTime, String jh);

}
